//巡防报备
import request from "@/utils/request";
const api = "/mosty-api/mosty-qwzx";
// 分页查询
export function getXfbb(params) {
    return request({
        url: api + '/tbQwXfbb',
        method: 'GET',
        params
    })
}
//新增
export function addXfbb(data) {
    return request({
        url: api + '/tbQwXfbb',
        method: 'POST',
        data
    })
}
//删除
export function deleteXfbb(id) {
    return request({
        url: api + `/tbQwXfbb/${id}`,
        method: 'delete'
    })
}
//详情
export function getXfbbInfo(id) {
    return request({
        url: api + `/tbQwXfbb/${id}`,
        method: 'GET',
    })
}

// 修改
export function updateXfbb(data) {
    return request({
        url: api + '/tbQwXfbb',
        method: 'put',
        data
    })
}

//报备
export function xfbb(data) {
    return request({
        url: api + '/tbQwXfbb/startOrEndBb',
        method: 'POST',
        data
    })
}

/**
 * 查询我今天的报备new
 * @param {*} id 
 */
export function getMybbTodayNew() {
    return request({
        url: api + `/tbQwXfbb/getMybbTodayNew`,
        method: 'GET',
    })
}

/**
 * APP获取我的排班信息
 * @param {*} id 
 */
export function getMyXfpbToday() {
    return request({
        url: api + `/tbQwXfpb/getMyXfpbToday`,
        method: 'GET',
    })
}


